echo off
cls

if "%1"=="" goto error
if "%2"=="" goto error

%1\junkyard.exe

@echo.
@echo Installing the game to %2\MACHINES
@echo.

md %2\MACHINES
cd %2\MACHINES
%2
%1\disk_1
:again
%1\key
if not exist %1\disk_2.exe goto again
%1\disk_2

cls
@echo The Machines installation complete
@echo.
@echo Type MACHINES to play the game
@echo.
goto end

:error
echo.
echo                         The Machines game installation
echo.
echo.
echo                Please specify the source and destination drive:-
echo.  
echo                                 for example:-
echo.
echo      If your floppy drive is drive A, and your hard-disk is drive C, type:-
echo                               A:\INSTALL A: C:
echo.
echo.
echo                            (C) 1995 Merit Studios
echo.
goto end

:end

